<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstSubFolderPosition Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetFirstSubFolderPosition Method (IEdmFolder5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the subfolders in this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstSubFolderPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstSubFolderPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstSubFolderPosition();

#### Return Value

IEdmPos5; position of the first sub-folder in this folder

# Example

Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)

# Remarks

After calling this method, pass the returned first subfolder position to IEdmFolder5::GetNextSubFolder to get the first subfolder in the list. Then call IEdmFolder5::GetNextSubFolder repeatedly to get the rest of the subfolders in the list.

C++ users not using smart-pointer wrapper functions must release the returned pointer, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::GetFirstFilePosition Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2